## org.eclipse.emf.compare.match.metamodel
Interface MatchElement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  Match2Elements, Match3Elements

All Known Implementing Classes:
  Match2ElementsImpl, Match3ElementsImpl, MatchElementImpl

    public interface MatchElement

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Element'.

The following features are supported:

- `Similarity`
- `Sub Match Elements`

See Also:
  `MatchPackage.getMatchElement()`

Method Summary
`double` `getSimilarity()` Returns the value of the 'Similarity' attribute
`org.eclipse.emf.common.util.EList<MatchElement>` `getSubMatchElements()` Returns the value of the 'Sub Match Elements' containment reference list.
`void` `setSimilarity(double value)` Sets the value of the '`Similarity`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSimilarity

    double getSimilarity()

  Returns the value of the 'Similarity' attribute.

  If the meaning of the 'Similarity' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Similarity' attribute.
  See Also:
    `setSimilarity(double)`, `MatchPackage.getMatchElement_Similarity()`

### getSubMatchElements

    org.eclipse.emf.common.util.EList<MatchElement> getSubMatchElements()

  Returns the value of the 'Sub Match Elements' containment reference list. The list contents are of type `MatchElement`.

  If the meaning of the 'Sub Match Elements' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sub Match Elements' containment reference list.
  See Also:
    `MatchPackage.getMatchElement_SubMatchElements()`

### setSimilarity

    void setSimilarity(double value)

  Sets the value of the '`Similarity`' attribute.

  Parameters:
    `value` - the new value of the 'Similarity' attribute.
  See Also:
    `getSimilarity()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.